# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get all eligible account balances In this tutorial, you will learn how to use the Blockchain Deposit Account (BDA) Balances API to retrieve a list of all eligible BDA Balances. By the end of this tutorial, you will know how to: - Create a well-formed balances request payload - Interpret a successful response ## Before you begin To use the BDA Balances API, you will need: - A [registered and fully onboarded](/docs/quick-start) Developer Account on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials used to make a request. ## Send a request To fetch a list of eligible account balances, form a `GET` request to the `/accounts/balances` endpoint. Here's an example: ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/account/v2/accounts/balances \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR TOKEN' \ --header 'Request-Id: ' ``` ## Confirm the response You should receive a successful response payload containing a list of eligible account balances. Here's an example: ```json { "accountBalances": [ { "account": { "number": "1234567890", "type": "BDA", "currency": "USD", "name": "Customer BDA Account", "financialInstitutionIds": [ { "id": "CHASUS33MCY", "idType": "BIC" } ] }, "balances": [ { "type": "INTERIM_AVAILABLE", "amount": "5000.00", "bookDate": "2024-10-06" }, { "type": "INTERIM_BOOKED", "amount": "5000.00", "bookDate": "2024-10-06" } ] } ], "metadata": { "cursor": { "first": "9c0af3e7-0375-4343-a8bb-a2fc9ee51621", "this": "9c0af3e7-0375-4343-a8bb-a2fc9ee51621", "goodUntil": "2024-10-06T00:00:00.000Z" } } } ``` > It is possible you may encounter error codes in a response; to view a list of code descriptions; refer to [error codes](/api/liquidity-account-solutions/bda-balances/error-codes) in the API reference. > ## Next steps Learn [how to get account balances for specific accounts](/docs/liquidity-account-solutions/bda-balances/capabilities/balances/how-to/get-balance-for-specific-account).